# Class Pair<K,V>

java.lang.Object
org.apache.zookeeper.inspector.manager.Pair<K,V>

Type Parameters:
  `K` -
  `V` -

public class Pair<K,V> extends Object
A utility class for storing a pair of objects

## Constructor Summary

Constructors
Constructor
Description
`Pair()`
`Pair(K key, V value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`K`
`getKey()`
`V`
`getValue()`
`int`
`hashCode()`
`void`
`setKey(K key)`
`void`
`setValue(V value)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Pair

public Pair(K key, V value)

Parameters:
  `key` -
  `value` -

### Pair

public Pair()

## Method Details

### getKey

public K getKey()

Returns:
  key

### setKey

public void setKey(K key)

Parameters:
  `key` -

### getValue

public V getValue()

Returns:
  value

### setValue

public void setValue(V value)

Parameters:
  `value` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`